# Calendar API . settings

## Instance Methods

Returns a single user setting.

Returns all user settings for the authenticated user.

### Method Details

`get(setting)`

    Returns a single user setting.

    Args:
      setting: string, Name of the user setting. (required)

    Returns:
      An object of the form:

        {
        "kind": "calendar#setting", # Type of the resource ("calendar#setting").
        "etag": "A String", # ETag of the resource.
        "id": "A String", # Name of the user setting.
        "value": "A String", # Value of the user setting. The format of the value depends on the ID of the setting.
      }

`list()`

    Returns all user settings for the authenticated user.

    Args:

    Returns:
      An object of the form:

        {
        "items": [ # List of user settings.
          {
            "kind": "calendar#setting", # Type of the resource ("calendar#setting").
            "etag": "A String", # ETag of the resource.
            "id": "A String", # Name of the user setting.
            "value": "A String", # Value of the user setting. The format of the value depends on the ID of the setting.
          },
        ],
        "kind": "calendar#settings", # Type of the collection ("calendar#settings").
        "etag": "A String", # Etag of the collection.
      }